petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSComputeRHSFunctionLinear

Evaluate the right hand side via the user-provided Jacobian, for linear problems Udot = A U only

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSFunctionLinear(TS ts,PetscReal t,Vec U,Vec F,void *ctx)

Collective on TS

### Input Arguments

| ts | - time stepping context
| t | - time at which to evaluate
| U | - state at which to evaluate
| ctx | - context

### Output Arguments

F -right hand side

### Notes

This function is intended to be passed to TSSetRHSFunction() to evaluate the right hand side for linear problems. The matrix (and optionally the evaluation context) should be passed to TSSetRHSJacobian().

### See Also

TSSetRHSFunction(), TSSetRHSJacobian(), TSComputeRHSJacobianConstant()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages